
QGIS Application - Bug report #11904

"Save As" on json layer leads to segfault

2014-12-22 04:15 AM - Johannes Kroeger

Status: Closed

Priority: High

Assignee:

Category: Vectors

Affected QGIS version:2.6.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: up/downstream

Crashes QGIS or corrupts data:Yes Copied to github as #: 20114

Description

QGIS segfaults when I try to rightclick > "Save As" a JSON layer (geo- or topojson).

To reproduce:

1. Copy the example GeoJSON from http://geojson.org/ into a new file or use bl.ocks.org/mbostock/raw/4090846/us.json

2. Load that file in QGIS

3. Rightclick on the layer

4. Click on "Save As..." 

5. QGIS will segfault

I tried with the latest GIT version at the time of writing. astrodog on IRC said it did not crash a version from some weeks ago for them. I

attached a backtrace from gdb.

QGIS version    2.6.1-Brighton

QGIS code revision    ddb37e2

Compiled against Qt    4.8.6

Running against Qt    4.8.6

Compiled against GDAL/OGR    1.11.1

Running against GDAL/OGR    1.11.1

Compiled against GEOS    3.4.2-CAPI-1.8.2

Running against GEOS    3.4.2-CAPI-1.8.2 r3921

PostgreSQL Client Version    9.3.5

SpatiaLite Version    4.2.0

QWT Version    6.1.1

PROJ.4 Version    480

QScintilla2 Version    2.8.4

This copy of QGIS writes debugging output.

History

#1 - 2014-12-22 05:20 AM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes

- Category set to Vectors

- Status changed from Open to Feedback

- Priority changed from Normal to High

I assume you are using QGIS master, as you say "I tried with the latest GIT version at the time of writing", anyway I just tested on both Linux and Windows,

with both QGIS 2.6.1 and master and the crash does not happen. Seems likely a local issue. Please try renaming the .qgis2 folder, (re)start qgis and try
again. Cheers.

#2 - 2014-12-22 07:52 AM - Johannes Kroeger

Yes, I meant a fresh checkout from git, sorry for not being clear. I used https://aur.archlinux.org/packages/qgis/ and made it not strip debug symbols. I am

on 64 bit Archlinux.

It still crashes with a clean .qgis2. Same backtrace (apart from some different addresses).

#3 - 2014-12-22 08:37 AM - Giovanni Manghi

Johannes Kroeger wrote:

Yes, I meant a fresh checkout from git, sorry for not being clear. I used https://aur.archlinux.org/packages/qgis/ and made it not strip debug

symbols. I am on 64 bit Archlinux.

It still crashes with a clean .qgis2. Same backtrace (apart from some different addresses).

it is not the first time that an arc user report such issues that are not replicable on other Linux distributions, especially debian/ubuntu. Maybe is something in

your packaging.

#4 - 2015-01-05 02:00 PM - Matthias Kuhn

It crashes in GDAL/OGR.

Can you open a bug report in their issue queue?

#5 - 2015-05-11 01:11 AM - Giovanni Manghi

- Resolution set to up/downstream

- Status changed from Feedback to Closed

Files

jsonsegfaultgdb.log 5.93 KB 2014-12-22 Johannes Kroeger
